#pragma once
#include "ffgl/ParamFloat.h"

namespace ffglqs
{

typedef struct ParamHSBAStructTag
{
	ffgl::ParamFloat* hue;
	ffgl::ParamFloat* sat;
	ffgl::ParamFloat* bri;
	ffgl::ParamFloat* alpha;

	ffglex::HSBAColor GetColor()
	{
		return { hue->GetFloatValue(), sat->GetFloatValue(), bri->GetFloatValue(), alpha->GetFloatValue() };
	}

} ParamHSBAStruct;

}// namespace ffglqs
